Skip to content

[GET] Task Status List Paginated⚓︎

Use this request to get information about all the tasks in your Organization (or a filtered subset), including their processing statuses and auditing information, in a paginated format.

This request is optimized for high Task counts and thus is ideal to create listing screens or gather large amounts of data.

Task Status List Paginated⚓︎

GET/api/v1.0/external/sdtask/statuslistpaginated?startDate=2022-03-16T16:59:55Z&endDate=2022-12-25T16:59:55Z&pageNumber=1&pageSize=10

Query Parameters⚓︎

NameTypeDescription
startDatedatetime (optional)Include tasks created after this date. Required if endDate is not specified.
endDatedatetime (optional)Include tasks created before this date. Required if startDate is not specified.
taskStatusTaskStatus (optional)The status of the tasks to filter for. To filter with more than one taskStatus value, simply add another entry to the query string, i.e ?taskStatus=30&taskStatus=31 to filter on status 30 and 31.
integrationStatusIntegrationStatus (optional)The integration status of the tasks to filter for. To filter with more than one integrationStatus value, simply add another entry to the query string, i.e ?integrationStatus=1&integrationStatus=2 to filter on status 1 and 2.
workspaceIdinteger (optional)The ID of the workspace to filter for. To filter with more than one workspaceId value, simply add another entry to the query string, i.e ?workspaceId=1&workspaceId=2 to filter on workspace ID 1 and 2.
sortstring (optional)Name of property to sort result values. Sorts by createdOn by default.
pageNumberintegerThe page number to retrieve. Starts at 1 up to the number of total pages available.
pageSizeintegerThe number of items to retrieve per page. Defaults to 10 if not specified.

Example Request⚓︎

curl --location 'https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslistpaginated?startDate=2022-03-16T16%3A59%3A55Z&endDate=2022-12-25T16%3A59%3A55Z&pageNumber=1&pageSize=10' --header 'Authorization: Bearer {your access token here}'
var client = new HttpClient();

var accessToken = "your access token here";
var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslistpaginated?startDate=2022-03-16T16:59:55Z&endDate=2022-12-25T16:59:55Z&pageNumber=1&pageSize=10");

request.Headers.Add("Authorization", $"Bearer {accessToken}");

var response = await client.SendAsync(request);

response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests

url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslistpaginated?startDate=2022-03-16T16:59:55Z&endDate=2022-12-25T16:59:55Z&pageNumber=1&pageSize=10"
access_token = "your access token here"

payload = {}
headers = {
'Authorization': f'Bearer {access_token}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
const myHeaders = new Headers();
const accessToken = "your access token here";
myHeaders.append("Authorization", `Bearer ${accessToken}`);

const requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};

fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/statuslistpaginated?startDate=2022-03-16T16:59:55Z&endDate=2022-12-25T16:59:55Z&pageNumber=1&pageSize=10", requestOptions)
    .then(response => response.text())
    .then(result => console.log(result))
    .catch(error => console.log('error', error));

Responses⚓︎

{
    "items": [
        {
            "taskId": 49,
            "workspaceId": 1,
            "batchId": null,
            "taskNumber": null,
            "externalId": null,
            "displayName": "Task display name",
            "description": "Task description",
            "createdOn": "2022-03-28T14:28:56Z",
            "taskStatus": 4,
            "integrationStatus": 1,
            "taskStatusText": "InReview",
            "integrationStatusText": "Never",
            "totalPages": 10,
            "preProcessingStartedOn": "2022-03-16T16:59:55Z"
        },
        {
            "taskId": 50,
            "workspaceId": 1,
            "batchId": 1,
            "taskNumber": 1,
            "externalId": null,
            "displayName": "Task display name",
            "description": "Task description",
            "createdOn": "2022-03-29T20:46:59Z",
            "taskStatus": 4,
            "integrationStatus": 1,
            "taskStatusText": "InReview",
            "integrationStatusText": "Never",
            "totalPages": 33,
            "restartCount": 1,
            "preProcessingStartedOn": "2022-03-16T16:59:55Z"
        },
        {
            "taskId": 47,
            "workspaceId": 1,
            "batchId": 1,
            "taskNumber": 1,
            "externalId": null,
            "displayName": "Task display name",
            "description": "Task description",
            "createdOn": "2022-03-28T08:26:47Z",
            "taskStatus": 4,
            "integrationStatus": 1,
            "taskStatusText": "InReview",
            "integrationStatusText": "Never",
            "totalPages": 1,
            "preProcessingStartedOn": "2022-03-16T16:59:55Z"
        },
        {
            "taskId": 51,
            "workspaceId": 1,
            "batchId": null,
            "taskNumber": null,
            "externalId": null,
            "displayName": "Task display name",
            "description": "Task description",
            "createdOn": "2022-03-30T07:41:06Z",
            "taskStatus": 3,
            "integrationStatus": 1,
            "taskStatusText": "ToReview",
            "integrationStatusText": "Never",
            "totalPages": 3,
            "preProcessingStartedOn": "2022-03-16T16:59:55Z"
        }
    ],
    "pageNumber": 1,
    "totalPages": 1,
    "totalCount": 4,
    "hasPreviousPage": false,
    "hasNextPage": false
}

Response Body GetTaskStatusPaginatedResponse

NameTypeDescription
itemsGetTaskStatusResponse[]the list of returned items for this request. Returns an empty list if no items were found.
pageNumberintegerThe page number retrieved.
totalPagesintegerThe total number of pages that the server can potentially retrieve, with the given filters, at the time the request was made.
totalCountintegerThe total count of items available for retrieval, with the given filters, at the time the request was made.
hasPreviousPagebooleantrue if the currently retrieved page has a previous page available, false otherwise.
hasNextPagebooleantrue if a next page exists after the currently retrieved page, false otherwise.

Response body has no content.

Info

Note Returned when a startDate or endDate are not specified.